[coreboot-gerrit] New patch to review for coreboot: release: add release script

Patrick Georgi (pgeorgi@google.com) gerrit at coreboot.org
Mon Jul 13 22:49:22 CEST 2015


Patrick Georgi (pgeorgi at google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/10909

-gerrit

commit ee0575fd7083dab78666dabb76caade8e0d0f507
Author: Patrick Georgi <pgeorgi at chromium.org>
Date:   Mon Jul 13 22:48:46 2015 +0200

    release: add release script
    
    Change-Id: Ib3cd29cf1875e7ad182262d7caa33ff35f28aa85
    Signed-off-by: Patrick Georgi <pgeorgi at chromium.org>
---
 util/release/build-release | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/util/release/build-release b/util/release/build-release
new file mode 100755
index 0000000..ae00dbf
--- /dev/null
+++ b/util/release/build-release
@@ -0,0 +1,16 @@
+#!/bin/bash
+# $1: new version name
+set -e
+if [ -z "$1" ]; then
+	echo "usage: $0 version"
+	echo "tags a new coreboot version and creates a tar archive"
+	exit 1
+fi
+git clone --recurse-submodules http://review.coreboot.org/coreboot.git coreboot-$1
+cd coreboot-$1
+git submodule update --init --checkout
+git tag -a --force $1 -m "coreboot version $1"
+printf "$1-$(git log --pretty=%H|head -1)\n" > .coreboot-version
+cd ..
+tar --exclude-vcs --exclude=coreboot-${1}/3rdparty/blobs -cvf - coreboot-${1} |xz -9 > coreboot-${1}.tar.xz
+tar --exclude-vcs -cvf - coreboot-${1}/3rdparty/blobs |xz -9 > coreboot-blobs-${1}.tar.xz



More information about the coreboot-gerrit mailing list